<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBotanicSpeciesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('botanic_species', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('genre_id')->unsigned()->nullable();
            $table->string('name', 50)->nullable();
            $table->string('alias', 50)->nullable();
            $table->string('latin', 50)->nullable();
            $table->text('description', 65535)->nullable();
            $table->string('genre_name', 50)->nullable();
            $table->string('subspecies', 50)->nullable();
            $table->boolean('germination_legal')->nullable();
            $table->string('pmg', 50)->nullable();
            $table->string('grow_duration', 50)->nullable();
            $table->string('vegetative_cycle', 50)->nullable();
            $table->string('reglementary_status', 50)->nullable();
            $table->boolean('add_germination')->nullable();
            $table->boolean('add_life_duration')->nullable();
            $table->text('add_diseases', 65535)->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('botanic_species');
    }
}
